Subject: Appointment to the Internet Society Board of Trustees

From: IAB Chair <[email-masked]>
Date: Wed, 19 Apr 2017 08:03:45 -0700

As set out in RFC 3677, the IAB is responsible for selecting a certain 
number of the Trustees who serve on the Board of the Internet Society.

In fulfillment of that responsibility, we are happy to announce that 
Sean Turner has been selected for a second three year term, to begin at 
ISOC’s annual general meeting in June.

The IAB had a very strong set of candidates this year, and we would like 
to express our appreciation to each of them for their willingness to 
serve.  We look forward to their continued engagement with the Internet 
Society and the IETF.

Best regards,

Ted Hardie
On behalf of the IAB